Retrieves the job_priority object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9b76dcda-264e-40a1-87a3-f974cd65a92a",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "d5385e7d-edab-4e8f-ba2a-036e9589844c",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "5ddd7492-1d45-4335-adb1-abe5bbe78b14",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "ff895f77-299c-4a51-85f6-377da5f7f559",
    "db_currency_id": "b03a4c39-3f60-4293-888e-55221f4cbd23",
    "db_language_id": "1ee1ed75-cbdb-40c3-a412-7df2a7ea8ec3",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-26T07:16:26.1792243+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-10-26T07:16:26.1792243+00:00"
}